| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
ScaledValueSeries< RT, AT > Class Template Reference
Algo

ValueSeries implementation where the values are retrieved from another ValueSeries. The input object is never managed, and must remain in memory while this object is being used. Scaling is applied when reading from the source, and unapplied when writing to it. More...

`#include <scaler.h>`

Inheritance diagram for ScaledValueSeries< RT, AT >:
[legend]

## Public Member Functions
| ScaledValueSeries (const Scaler *, ValueSeries< AT > &)
| ~ScaledValueSeries ()
bool | canSetAll () const override
ValueSeries< RT > * | clone () const override
bool | isOK () const override
void | setAll (RT) override
void | setValue (od_int64, RT) override
od_int64 | size () const override
RT | value (od_int64) const override
bool | writable () const override
Public Member Functions inherited from ValueSeries< RT >
virtual | ~ValueSeries ()
virtual RT * | arr ()
virtual const RT * | arr () const
virtual char | bytesPerItem () const
void | getValues (RT *, od_int64 nrvals) const
void | getValues (ValueSeries< RT > &, od_int64 nrvals) const
RT | operator[] (od_int64 idx) const
virtual bool | reSizeable () const
virtual bool | selfSufficient () const
virtual void | setEmpty ()
virtual bool | setSize (od_int64)

## Static Public Member Functions
static ValueSeries< RT > * | getFrom (ValueSeries< AT > &, const Scaler *=nullptr)

## Private Attributes
const Scaler * | scaler_ = nullptr
ValueSeries< AT > & | src_

## Detailed Description

template<class RT, class AT>
class ScaledValueSeries< RT, AT >

ValueSeries implementation where the values are retrieved from another ValueSeries. The input object is never managed, and must remain in memory while this object is being used. Scaling is applied when reading from the source, and unapplied when writing to it.

<>

## Constructor & Destructor Documentation

## ◆ ScaledValueSeries()

template<class RT , class AT >

ScaledValueSeries< RT, AT >::ScaledValueSeries | ( | const Scaler * | scaler,
|  | ValueSeries< AT > & | src )
| inline

## ◆ ~ScaledValueSeries()

template<class RT , class AT >

ScaledValueSeries< RT, AT >::~ScaledValueSeries | ( |  | ) |
| inline

## Member Function Documentation

## ◆ canSetAll()

template<class RT , class AT >

bool ScaledValueSeries< RT, AT >::canSetAll | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< RT >.

## ◆ clone()

template<class RT , class AT >

ValueSeries< RT > * ScaledValueSeries< RT, AT >::clone | ( |  | ) | const
| inline override virtual

Implements ValueSeries< RT >.

## ◆ getFrom()

template<class RT , class AT >

ValueSeries< RT > * ScaledValueSeries< RT, AT >::getFrom | ( | ValueSeries< AT > & | src,
|  | const Scaler * | scaler = nullptr )
| inline static

## ◆ isOK()

template<class RT , class AT >

bool ScaledValueSeries< RT, AT >::isOK | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< RT >.

## ◆ setAll()

template<class RT , class AT >

void ScaledValueSeries< RT, AT >::setAll | ( | RT | val | ) |
| inline override virtual

Reimplemented from ValueSeries< RT >.

## ◆ setValue()

template<class RT , class AT >

void ScaledValueSeries< RT, AT >::setValue | ( | od_int64 | idx,
|  | RT | val )
| inline override virtual

Reimplemented from ValueSeries< RT >.

## ◆ size()

template<class RT , class AT >

od_int64 ScaledValueSeries< RT, AT >::size | ( |  | ) | const
| inline override virtual

Implements ValueSeries< RT >.

## ◆ value()

template<class RT , class AT >

RT ScaledValueSeries< RT, AT >::value | ( | od_int64 | idx | ) | const
| inline override virtual

Implements ValueSeries< RT >.

## ◆ writable()

template<class RT , class AT >

bool ScaledValueSeries< RT, AT >::writable | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< RT >.

## Member Data Documentation

## ◆ scaler_

template<class RT , class AT >

const Scaler* ScaledValueSeries< RT, AT >::scaler_ = nullptr
| private

## ◆ src_

template<class RT , class AT >

ValueSeries<AT>& ScaledValueSeries< RT, AT >::src_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025